Bug 702905 - fastestmirror always reports excluded mirrors
fastestmirror always reports excluded mirrors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-08 05:04 EDT by Steve Tyler
Modified: 2014-01-21 18:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:36:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fastestmirror.py.patch increases level to 3 (1.07 KB, patch)
2011-05-11 09:26 EDT, Steve Tyler
no flags Details | Diff

  None (edit)
Description Steve Tyler 2011-05-08 05:04:21 EDT
Description of problem:
Excluded are mirrors always reported, even with verbose=0.
This makes reading the list of selected mirrors difficult.

BTW, I am only using the fastestmirror plugin for its exclusion feature.

Version-Release number of selected component (if applicable):
yum-plugin-fastestmirror-1.1.30-2.fc15.noarch

How reproducible:
Always.

Steps to Reproduce:
1. Set verbose=0 in /etc/yum/pluginconf.d/fastestmirror.conf.
2. $ sudo yum update
  
Actual results:
See below.

Expected results:
Only selected mirrors are reported.

Additional info:
$ sudo yum update
Loaded plugins: auto-update-debuginfo, fastestmirror, langpacks, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
Excluding mirror: mirror.pnl.gov
 * fedora: mirror.web-ster.com
Excluding mirror: mirror.pnl.gov
 * updates-testing: mirror.web-ster.com
Setting up Update Process
No Packages marked for Update

$ cat /etc/yum/pluginconf.d/fastestmirror.conf
[main]
enabled=1
verbose=0
always_print_best_host = true
socket_timeout=3
#  Relative paths are relative to the cachedir (and so works for users as well
# as root).
hostfilepath=timedhosts.txt
maxhostfileage=10
maxthreads=15
#exclude=.gov, facebook
#include_only=.nl,.de,.uk,.ie
exclude=mirror.pnl.gov
Comment 1 Steve Tyler 2011-05-08 05:54:02 EDT
yum.conf is the default:

$ cat yum.conf
[main]
cachedir=/var/cache/yum/$basearch/$releasever
keepcache=0
debuglevel=2
logfile=/var/log/yum.log
exactarch=1
obsoletes=1
gpgcheck=1
plugins=1
installonly_limit=3
...
Comment 2 Steve Tyler 2011-05-11 09:26:19 EDT
Created attachment 498292 [details]
fastestmirror.py.patch increases level to 3
Comment 3 Fedora End Of Life 2012-08-07 14:36:30 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.